ubuntu18.04安装虚拟机vmware workstation 15 pro 报错GLib does not have GSettings support1.

首先下载vmware workstation 15 pro 并安装的过程都很顺利,也很简单,然后启动它的时候报错如下:

Build environment error! A required application is missing and Modconfig can not continue. xzCheck the log for more details.

请检查gcc和make是否安装:gcc -v,我是缺少make,所以:

sudo apt install make

再次打开vmware,这次报错如下:

a required application is missing and Modconfig can not contine. xzcheck the log for more detail.


这次打开终端执行如下命令:

sudo vmware-modconfig --console --install-all

这次收到错误如下:

[AppLoader] Use shipped Linux kernel AIO access library.
An up-to-date "libaio" or "libaio1" package from your system is preferred.
[AppLoader] GLib does not have GSettings support.
Failed to setup build environment.

缺少libaio1包和libglib2.0-dev包,两条命令安装一下,

sudo apt install libaio1
sudo apt install libglib2.0-dev

成功!!尤其是那个libglib2.0-dev,一直报错AppLoader] GLib does not have GSettings support.一直以为glib包是有 安装的,谁知道还需要libglib2.0-dev;仅以此文纪念浪费的半个小时;

展开阅读全文

没有更多推荐了,返回首页